EnhancedDefaultDependencyDescriptor (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.resolve

## [Groovy] Class EnhancedDefaultDependencyDescriptor

- org.codehaus.groovy.grails.resolve.EnhancedDefaultDependencyDescriptor

- Adds new methods to make access to this class Groovier

  Authors:
    Graeme Rocher
  Since:
    1.2

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static java.lang.String` | `WILDCARD`
    `boolean` | `exported` Whether a plugin dependencies is 'exported' to the application
    `boolean` | `inherited` Whether the dependency is inherted from a plugin or framework and not an application dependency
    `java.lang.String` | `plugin` Plugin that the dependency relates to, null if it is a framework or application dependency
    `java.lang.String` | `scope` Configuration scope of the plugin 'runtime', 'build', 'test' etc.
    `boolean` | `transitivelyIncluded` Whether this is a transitive plugin

  - ### Constructor Summary

    Constructors
    Constructor and description
    `EnhancedDefaultDependencyDescriptor (org.apache.ivy.core.module.id.ModuleRevisionId mrid, boolean force, java.lang.String scope)`
    `EnhancedDefaultDependencyDescriptor (org.apache.ivy.core.module.id.ModuleRevisionId mrid, boolean force, boolean transitive, java.lang.String scope)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addRuleForModuleId(org.apache.ivy.core.module.id.ModuleId mid, java.lang.String scope, java.lang.String type = WILDCARD, java.lang.String ext = WILDCARD)`
    `EnhancedDefaultDependencyDescriptor` | `configure(groovy.lang.Closure configurer)`
    `void` | `dependencyConfiguration(java.lang.String config)`
    `void` | `exclude(java.lang.Object exclude)`
    `void` | `excludes(java.lang.Object... args)`
    `boolean` | `isExportedToApplication()` Whether the dependency should be exposed to the application
    `boolean` | `isSupportedInConfiguration(java.lang.String conf)`
    `void` | `setChanging(boolean b)`
    `void` | `setExport(boolean b)`
    `void` | `setTransitive(boolean b)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor` | `org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#toString(), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#clone(org.apache.ivy.core.module.id.ModuleRevisionId), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getAttributes(), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getNamespace(), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#asSystem(), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#transformInstance(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.plugins.namespace.Namespace), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#transformInstance(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.plugins.namespace.NamespaceTransformer, boolean), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getDependencyId(), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getDependencyRevisionId(), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getDynamicConstraintDependencyRevisionId(), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getModuleConfigurations(), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getDependencyConfigurations(java.lang.String), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getDependencyConfigurations(java.lang.String, java.lang.String), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getDependencyConfigurations([Ljava.lang.String;), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getDependencyArtifacts(java.lang.String), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getDependencyArtifacts([Ljava.lang.String;), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getIncludeRules(java.lang.String), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getIncludeRules([Ljava.lang.String;), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getAllDependencyArtifacts(), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getAllIncludeRules(), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getAllExcludeRules(), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#addIncludeRule(java.lang.String, org.apache.ivy.core.module.descriptor.IncludeRule), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#doesExclude([Ljava.lang.String;, org.apache.ivy.core.module.id.ArtifactId), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#canExclude(), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getParentRevisionId(), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getSourceModule(), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#isForce(), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#isChanging(), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#isTransitive(), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#addDependencyConfiguration(java.lang.String, java.lang.String), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getExcludeRules([Ljava.lang.String;), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getExcludeRules(java.lang.String), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#addDependencyArtifact(java.lang.String, org.apache.ivy.core.module.descriptor.DependencyArtifactDescriptor), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#addExcludeRule(java.lang.String, org.apache.ivy.core.module.descriptor.ExcludeRule), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getQualifiedExtraAttributes(), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getExtraAttribute(java.lang.String), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getExtraAttributes(), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getAttribute(java.lang.String), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#wait(long, int), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#wait(long), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#wait(), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#equals(java.lang.Object), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#hashCode(), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#getClass(), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#notify(), org.apache.ivy.core.module.descriptor.DefaultDependencyDescriptor#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### static final java.lang.String WILDCARD

    - #### boolean exported

      Whether a plugin dependencies is 'exported' to the application

    - #### boolean inherited

      Whether the dependency is inherted from a plugin or framework and not an application dependency

    - #### java.lang.String plugin

      Plugin that the dependency relates to, null if it is a framework or application dependency

    - #### java.lang.String scope

      Configuration scope of the plugin 'runtime', 'build', 'test' etc.

    - #### boolean transitivelyIncluded

      Whether this is a transitive plugin

  - ### Constructor Detail

    - #### EnhancedDefaultDependencyDescriptor(org.apache.ivy.core.module.id.ModuleRevisionId mrid, boolean force, java.lang.String scope)

    - #### EnhancedDefaultDependencyDescriptor(org.apache.ivy.core.module.id.ModuleRevisionId mrid, boolean force, boolean transitive, java.lang.String scope)

  - ### Method Detail

    - #### void addRuleForModuleId(org.apache.ivy.core.module.id.ModuleId mid, java.lang.String scope, java.lang.String type = WILDCARD, java.lang.String ext = WILDCARD)

    - #### EnhancedDefaultDependencyDescriptor configure(groovy.lang.Closure configurer)

    - #### void dependencyConfiguration(java.lang.String config)

    - #### void exclude(java.lang.Object exclude)

    - #### void excludes(java.lang.Object... args)

    - #### boolean isExportedToApplication()

      Whether the dependency should be exposed to the application

    - #### boolean isSupportedInConfiguration(java.lang.String conf)

    - #### void setChanging(boolean b)

    - #### void setExport(boolean b)

    - #### void setTransitive(boolean b)